package cd.casic.ci.common.pipeline.enums;

import cd.casic.ci.common.pipeline.pojo.time.BuildRecordTimeLine;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：BuildRecordTimeStamp
 * @Date：2025/03/25 17:02
 * @Filename：BuildRecordTimeStamp
 * @description：Todo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BuildRecordTimeStamp {
    private Long startTime;
    private Long endTime;

    public long between() {
        return (endTime != null ? endTime : startTime != null ? startTime : 0) - (startTime != null ? startTime : 0);
    }

    public void insert2TimeLine(List<BuildRecordTimeLine.Moment> timeline) {
        if (startTime != null && endTime != null) {
            timeline.add(new BuildRecordTimeLine.Moment(startTime, endTime));
        }
    }
}
