package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：CheckoutRepositoryType
 * @Date：2025/03/26 10:16
 * @Filename：CheckoutRepositoryType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum CheckoutRepositoryType {
    ID,
    NAME,
    URL,
    SELF;

    public static CheckoutRepositoryType parseType(String type) {
        if (type == null || type.isBlank()) return ID;
        return valueOf(type);
    }

    public static boolean skipTimerTriggerChange(String type) {
        return "URL".equals(type) || "SELF".equals(type);
    }
}
