package cd.casic.ci.common.pipeline.option;

import cd.casic.ci.common.pipeline.NameAndValue;
import cd.casic.ci.common.pipeline.enums.StageRunCondition;
import cd.casic.ci.common.pipeline.pojo.element.atom.ManualReviewParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.option
 * @Project：ops-pro
 * @name：StageControlOption
 * @Date：2025/03/25 18:06
 * @Filename：StageControlOption
 * @description：Todo
 */
@Data
@Schema(title = "阶段流程控制模型")
public class StageControlOption {
    @Schema(title = "是否启用该阶段", required = false)
    private Boolean enable = true; // 是否启用该阶段

    @Schema(title = "运行条件", required = false)
    private StageRunCondition runCondition = StageRunCondition.AFTER_LAST_FINISHED; // 运行条件

    @Schema(title = "自定义变量", required = false)
    private List<NameAndValue> customVariables = List.of(); // 自定义变量

    @Schema(title = "自定义条件", required = false)
    private String customCondition; // 自定义条件

    @Schema(title = "是否人工触发", required = false)
    @Deprecated
    //"被StagePauseCheck.manualTrigger代替"
    private Boolean manualTrigger = false;

    @Schema(title = "可触发用户，支持引用变量", required = false)
    @Deprecated
    //"被StagePauseCheck.reviewGroups代替"
    private List<String> triggerUsers; // 可触发用户，支持引用变量

    @Schema(title = "已通过审核", required = false)
    @Deprecated
    //"被StagePauseCheck.status代替"
    private Boolean triggered; // 已通过审核

    @Schema(title = "等待审核的超时时间", required = false)
    @Deprecated
    //"被StagePauseCheck.timeout代替"
    private Integer timeout; // 等待审核的超时时间

    @Schema(title = "审核变量", required = false)
    @Deprecated
    //"被StagePauseCheck.reviewParams代替"
    private List<ManualReviewParam> reviewParams; // 审核变量

    @Schema(title = "审核说明", required = false)
    @Deprecated
    //"被StagePauseCheck.reviewDesc代替"
    private String reviewDesc; // 审核说明
}
