package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.enums.BuildFormPropertyType;
import cd.casic.ci.common.pipeline.enums.ScmType;
import cd.casic.ci.common.pipeline.pojo.cascade.BuildCascadeProps;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：BuildFormProperty
 * @Date：2025/03/25 15:42
 * @Filename：BuildFormProperty
 * @description：Todo
 */
@Data
@Schema(title = "构建模型-表单元素属性")
public class BuildFormProperty {
    @Schema(title = "元素ID-标识符", required = true)
    private String id;
    @Schema(title = "元素名称", required = true)
    private String name;
    @Schema(title = "是否必须（新前端的入参标识）", required = true)
    private boolean required;
    @Schema(title = "是否为常量", required = true)
    private boolean constant;
    @Schema(title = "元素类型", required = true)
    private BuildFormPropertyType type;
    @Schema(title = "默认值", required = true)
    private Object defaultValue;
    @Schema(title = "上次构建的取值", required = true)
    private Object value;
    @Schema(title = "下拉框列表", required = false)
    private List<BuildFormValue> options;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "repoHashId", required = false)
    private String repoHashId;
    @Schema(title = "relativePath", required = false)
    private String relativePath;
    @Schema(title = "代码库类型下拉", required = false)
    private ScmType scmType;
    @Schema(title = "构建机类型下拉", required = false)
    private BuildContainerType containerType;
    @Schema(title = "自定义仓库通配符", required = false)
    private String glob;
    @Schema(title = "文件元数据", required = false)
    private Map<String, String> properties;
    @Schema(title = "元素标签", required = false)
    private String label;
    @Schema(title = "元素placeholder", required = false)
    private String placeholder;
    @Schema(title = "元素模块", required = false)
    private String propertyType;
    @Schema(title = "搜索url, 当是下拉框选项时，列表值从url获取不再从option获取", required = false)
    private String searchUrl;
    @Schema(title = "替换搜索url中的搜素关键字", required = false)
    private String replaceKey;
    @Schema(title = "是否只读", required = false)
    private boolean readOnly;
    @Schema(title = "参数值是否必填", required = false)
    private boolean valueNotEmpty;
    @Schema(title = "页面所需内容，后台仅保存，不做处理", required = false)
    private Object payload;
    @Schema(title = "级联选择器属性", required = false)
    private BuildCascadeProps cascadeProps;
}
