package cd.casic.ci.process.api.engine.pojo.event;

import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author by mianbin
 * @Classname PipelineStreamEnabledEvent
 * @Description TODO
 * @Date 2025/3/31 16:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipelineStreamEnabledEvent extends IPipelineEvent {
    private final String source;
    private final String projectId;
    private final String pipelineId;
    private final String userId;
    private ActionType actionType;
    private int delayMills;
    private final long gitProjectId;
    private final String gitProjectUrl;
    private final boolean enable;

    public PipelineStreamEnabledEvent(String source, String projectId, String pipelineId, String userId,
                                      ActionType actionType, int delayMills, long gitProjectId, String gitProjectUrl, boolean enable) {
        this.source = source;
        this.projectId = projectId;
        this.pipelineId = pipelineId;
        this.userId = userId;
        this.actionType = actionType != null ? actionType : ActionType.START;
        this.delayMills = delayMills;
        this.gitProjectId = gitProjectId;
        this.gitProjectUrl = gitProjectUrl;
        this.enable = enable;
    }
}
