package cd.casic.ci.process.api.process.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.enums
 * @Project：ops-pro
 * @name：VariableType
 * @Date：2025/03/25 10:13
 * @Filename：VariableType
 * @description：Todo
 */
@Getter
public enum VariableType {
    BK_CI_PIPELINE_ID,
    BK_CI_START_TYPE,
    BK_CI_PROJECT_NAME,
    BK_CI_PIPELINE_NAME,
    BK_CI_BUILD_URL,
    BK_CI_BUILD_ID,
    BK_CI_BUILD_NUM,
    BK_CI_BUILD_NUM_ALIAS,
    BK_CI_BUILD_JOB_ID("job.id"),
    BK_CI_BUILD_MSG,
    BK_CI_BUILD_TASK_ID("step.id"),
    BK_CI_BUILD_REMARK,
    BK_CI_BUILD_FAIL_TASKS,
    BK_CI_BUILD_FAIL_TASKNAMES,
    BK_CI_TURBO_ID,
    BK_CI_MAJOR_VERSION,
    BK_CI_MINOR_VERSION,
    BK_CI_FIX_VERSION,
    BK_CI_BUILD_NO,
    BK_CI_PIPELINE_UPDATE_USER,
    BK_CI_PIPELINE_VERSION,
    BK_CI_PROJECT_NAME_CN,
    BK_CI_START_CHANNEL,
    BK_CI_START_USER_ID,
    BK_CI_START_USER_NAME,
    BK_CI_PARENT_PROJECT_ID,
    BK_CI_PARENT_PIPELINE_ID,
    BK_CI_PARENT_BUILD_ID,
    BK_CI_START_PIPELINE_USER_ID,
    BK_CI_START_WEBHOOK_USER_ID,
    BK_CI_RETRY_COUNT,
    BK_CI_ATOM_VERSION("step.atom_version"),
    BK_CI_ATOM_CODE("step.atom_code"),
    BK_CI_TASK_NAME("step.name"),
    BK_CI_ATOM_NAME("step.atom_name"),
    BK_CI_GIT_REPO_URL,
    BK_CI_GIT_REPO_NAME,
    BK_CI_GIT_REPO_ALIAS_NAME,
    BK_CI_GIT_REPO_BRANCH,
    BK_CI_GIT_REPO_TAG,
    BK_CI_GIT_REPO_CODE_PATH,
    BK_CI_GIT_REPO_LAST_COMMIT_ID,
    BK_CI_GIT_REPO_HEAD_COMMIT_ID,
    BK_CI_GIT_REPO_HEAD_COMMIT_COMMENT,
    BK_CI_GIT_REPO_HEAD_COMMIT_AUTHOR,
    BK_CI_GIT_REPO_HEAD_COMMIT_COMMITTER,
    BK_CI_REPO_WEBHOOK_REPO_TYPE,
    BK_CI_REPO_WEBHOOK_REPO_URL,
    BK_CI_REPO_WEBHOOK_NAME,
    BK_CI_REPO_WEBHOOK_ALIAS_NAME,
    BK_CI_REPO_WEBHOOK_HASH_ID,
    BK_CI_REPO_GIT_WEBHOOK_COMMITID,
    BK_CI_REPO_GIT_WEBHOOK_EVENT_TYPE,
    BK_CI_REPO_GIT_WEBHOOK_INCLUDE_BRANCH,
    BK_CI_REPO_GIT_WEBHOOK_EXCLUDE_BRANCH,
    BK_CI_REPO_GIT_WEBHOOK_INCLUDE_PATHS,
    BK_CI_REPO_GIT_WEBHOOK_EXCLUDE_PATHS,
    BK_CI_REPO_GIT_WEBHOOK_EXCLUDE_USERS,
    BK_CI_GIT_WEBHOOK_FINAL_INCLUDE_BRANCH,
    BK_CI_GIT_WEBHOOK_FINAL_INCLUDE_PATH,
    BK_REPO_GIT_WEBHOOK_PUSH_COMMIT_MSG_(true), // 尾部可以通配n
    BK_CI_HOOK_MESSAGE,
    BK_CI_REPO_GIT_WEBHOOK_PUSH_USERNAME,
    BK_CI_REPO_GIT_WEBHOOK_BRANCH,
    BK_REPO_GIT_WEBHOOK_PUSH_BEFORE_COMMIT,
    BK_REPO_GIT_WEBHOOK_PUSH_AFTER_COMMIT,
    BK_REPO_GIT_WEBHOOK_PUSH_ADD_FILE_(true), // 尾部可以通配n1和n2
    BK_REPO_GIT_WEBHOOK_PUSH_MODIFY_FILE_(true), // 尾部可以通配n1和n2
    BK_REPO_GIT_WEBHOOK_PUSH_DELETE_FILE_(true), // 尾部可以通配n1和n2
    BK_REPO_GIT_WEBHOOK_PUSH_ADD_FILE_COUNT,
    BK_REPO_GIT_WEBHOOK_PUSH_MODIFY_FILE_COUNT,
    BK_REPO_GIT_WEBHOOK_PUSH_DELETE_FILE_COUNT,
    BK_REPO_GIT_WEBHOOK_PUSH_OPERATION_KIND,
    BK_REPO_GIT_WEBHOOK_PUSH_ACTION_KIND,
    BK_CI_REPO_GIT_WEBHOOK_MR_AUTHOR,
    BK_CI_REPO_GIT_WEBHOOK_TARGET_URL,
    BK_CI_REPO_GIT_WEBHOOK_SOURCE_URL,
    BK_CI_REPO_GIT_WEBHOOK_TARGET_BRANCH,
    BK_CI_REPO_GIT_WEBHOOK_SOURCE_BRANCH,
    BK_CI_REPO_GIT_WEBHOOK_MR_CREATE_TIME,
    BK_CI_REPO_GIT_WEBHOOK_MR_UPDATE_TIME,
    BK_CI_REPO_GIT_WEBHOOK_MR_CREATE_TIMESTAMP,
    BK_CI_REPO_GIT_WEBHOOK_MR_UPDATE_TIMESTAMP,
    BK_CI_REPO_GIT_WEBHOOK_MR_ID,
    BK_CI_REPO_GIT_WEBHOOK_MR_NUMBER,
    BK_CI_REPO_GIT_WEBHOOK_MR_DESC,
    BK_CI_REPO_GIT_WEBHOOK_MR_TITLE,
    BK_CI_REPO_GIT_WEBHOOK_MR_ASSIGNEE,
    BK_CI_REPO_GIT_WEBHOOK_MR_URL,
    BK_CI_REPO_GIT_WEBHOOK_MR_REVIEWERS,
    BK_CI_REPO_GIT_WEBHOOK_MR_MILESTONE,
    BK_CI_REPO_GIT_WEBHOOK_MR_MILESTONE_DUE_DATE,
    BK_CI_REPO_GIT_WEBHOOK_MR_LABELS,
    BK_REPO_GIT_WEBHOOK_MR_LAST_COMMIT,
    BK_REPO_GIT_WEBHOOK_MR_LAST_COMMIT_MSG,
    BK_CI_REPO_GIT_WEBHOOK_TAG_NAME,
    BK_CI_REPO_GIT_WEBHOOK_TAG_OPERATION,
    BK_CI_REPO_GIT_WEBHOOK_TAG_USERNAME,
    BK_CI_REPO_GIT_WEBHOOK_TAG_CREATE_FROM,
    BK_CI_REPO_GIT_WEBHOOK_REVIEW_REVIEWABLE_TYPE,
    BK_CI_REPO_GIT_WEBHOOK_REVIEW_REVIEWABLE_ID,
    BK_CI_REPO_GIT_WEBHOOK_REVIEW_RESTRICT_TYPE,
    BK_CI_REPO_GIT_WEBHOOK_REVIEW_APPROVING_REVIEWERS,
    BK_CI_REPO_GIT_WEBHOOK_REVIEW_APPROVED_REVIEWERS,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_TITLE,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_ID,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_IID,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_DESCRIPTION,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_STATE,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_OWNER,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_URL,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_MILESTONE_ID,
    BK_CI_REPO_GIT_WEBHOOK_ISSUE_ACTION,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_COMMENT,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_ID,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_PROJECT_ID,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_NOTEABLE_TYPE,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_AUTHOR_ID,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_CREATED_AT,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_UPDATED_AT,
    BK_CI_REPO_GIT_WEBHOOK_NOTE_URL,
    BK_CI_REPO_SVN_WEBHOOK_REVERSION,
    BK_CI_REPO_SVN_WEBHOOK_USERNAME,
    BK_CI_REPO_SVN_WEBHOOK_COMMIT_TIME,
    BK_CI_REPO_SVN_WEBHOOK_INCLUDE_PATHS,
    BK_CI_REPO_SVN_WEBHOOK_EXCLUDE_PATHS,
    BK_CI_REPO_SVN_WEBHOOK_INCLUDE_USERS,
    BK_CI_REPO_SVN_WEBHOOK_EXCLUDE_USERS,
    BK_CI_REPO_GIT_WEBHOOK_INCLUDE_BRANCHS,
    BK_CI_REPO_GIT_WEBHOOK_EXCLUDE_BRANCHS,
    BK_CI_REPO_GITHUB_WEBHOOK_CREATE_REF_NAME,
    BK_CI_REPO_GITHUB_WEBHOOK_CREATE_REF_TYPE,
    BK_CI_REPO_GITHUB_WEBHOOK_CREATE_USERNAME;

    private final boolean hasPrefix;
    private final String aliasName;

    VariableType() {
        this.hasPrefix = false;
        this.aliasName = "";
    }

    VariableType(String aliasName) {
        this.hasPrefix = false;
        this.aliasName = aliasName;
    }

    VariableType(boolean hasPrefix) {
        this.hasPrefix = hasPrefix;
        this.aliasName = "";
    }
}
