package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "OP_STORE_PUBLISHERS", description = "OP-研发商店-发布者")
@RestController
@RequestMapping("/op/store/publishers")
public interface OpStorePublishersResource {

    @Operation(summary = "同步所有个人发布者组织架构信息")
    @PutMapping("/refresh/person")
    CommonResult<Boolean> refreshPersonPublisherGroup();
}