package cd.casic.pipeline.store.pojo.image.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "第三方镜像市场初始化参数")
public class ImageInitRequest {
    @Schema(title = "所属项目ID", required = true)
    private String projectCode;
    
    @Schema(title = "所属项目描述", required = true)
    private String projectDesc;
    
    @Schema(title = "拥有者用户ID", required = true)
    private String userId;
    
    @Schema(title = "市场镜像ID", required = true)
    private String imageCode;
    
    @Schema(title = "镜像鉴权accessToken", required = false)
    private String accessToken;
    
    @Schema(title = "凭据ID", required = false)
    private String ticketId;
    
    @Schema(title = "镜像简介", required = false)
    private String summary;
    
    @Schema(title = "镜像描述", required = false)
    private String description;
    
    @Schema(title = "logo地址", required = false)
    private String logoUrl;
    
    @Schema(title = "自定义icon图标字符串", required = false)
    private String iconData;
    
    @Schema(title = "镜像仓库地址", required = false)
    private String imageRepoUrl;
    
    @Schema(title = "镜像仓库名", required = false)
    private String imageRepoName;
    
    @Schema(title = "镜像标签", required = false)
    private String imageTag;
    
    @Schema(title = "镜像DockerFile类型", required = false)
    private String dockerFileType;
    
    @Schema(title = "镜像DockerFile内容", required = false)
    private String dockerFileContent;
}